Name:           pbm2l2030
Version:        1.4
Release:        9%{?dist}
Summary:        Converts PBM stream to Lexmark 2030 printer language

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.openprinting.org/driver/pbm2l2030
Source0:        pbm2l2030-%{version}.tar.gz
Patch1:         pbm2l2030-overrun-static.patch

%description
This is a filter to convert pbmraw data such as produced by ghostscript to
the printer language of Lexmark 2030 printers.  It is meant to be used
by the PostScript Description files of the drivers from the foomatic package.

%prep
%setup -q
# BZ#729690
%patch1 -p1 -b .overrun-static

%build
# The included Makefile is badly written
%{__cc} %{optflags} -o pbm2l2030 pbm2l2030.c pbm.c

%install
%{__mkdir} -p $RPM_BUILD_ROOT/%{_bindir}
%{__install} pbm2l2030 $RPM_BUILD_ROOT/%{_bindir}

%files
%{_bindir}/pbm2l2030
%doc LICENSE README.TXT

%changelog
* Thu Oct 04 2012 Jiri Popelka <jpopelka@redhat.com> 1.4-9
- fix static array overrun (#729690)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4-3
- Autorebuild for GCC 4.3

* Fri Aug 3 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.4-2
- Modify the License tag in accordance with the new guidelines

* Fri Jun 8 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.4-1
- Initial package
